#ifndef FORMMAINMENU_H
#define FORMMAINMENU_H

#include <QWidget>

#include "common.h"

#include <QPushButton>

namespace Ui {
class FormMainMenu;
}

class FormMainMenu : public QWidget
{
    Q_OBJECT

public:
    explicit FormMainMenu(QWidget *parent = nullptr);
    virtual ~FormMainMenu();

    int GetWidgetID(int nID);

public:
    virtual void resizeEvent(QResizeEvent *event);

    void SetEnableDiskUSB(bool bEnable);

protected:
    int m_nCurrentMenuID;
    int m_nCurrentWidgetID;

    vector<QPushButton*> m_ListButton;

signals:
    void ChangeMenu(int nID);

public slots:
    void SelectWorklist();
    void SelectHistory();
    void SelectSetting();

private:
    Ui::FormMainMenu *ui;
};

#endif // FORMMAINMENU_H
